import os, fnmatch, sys



olddrivers = [

    'LPC18_43_SPIFI_64MB_256KB.cfx',

    'LPC18_43_SPIFI_32MB_256KB.cfx',

    'LPC18_43_SPIFI_32MB_64KB.cfx',

    'LPC18_43_SPIFI_16MB_256KB.cfx',

    'LPC18_43_SPIFI_16MB_64KB.cfx',

    'LPC18_43_SPIFI_8MB_64KB.cfx',

    'LPC18_43_SPIFI_4MB_64KB.cfx',

    'LPC18_43_SPIFI_2MB_64KB.cfx',

    'LPC18_43_SPIFI_1MB_64KB.cfx',

    'LPC18_43_S25FL129P_256K.cfx',

    'LPC18_43_S25FL129P_64K.cfx',

    'LPC18_43_S25FL164K.cfx',

    'LPC18_43_S25FL032P.cfx',

    'LPC18_43_MX25L3235E.cfx',

    'LPC18_43_W25Q32FV.cfx',

    'LPC18_43_W25Q80BV.cfx',

    'LPC18_43_SPIFI_1MB_4KB.cfx'

];



newdriver = 'LPC18_43_SPIFI_GENERIC.cfx'



if len(sys.argv) == 1:

    directory = '.'

else:

    directory = sys.argv[1]



filePattern = '.cproject'



print ''

print 'LPC18_43 SPIFI driver updater'

print '============================='

print 'Start Directory : ', directory

print ''



for path, dirs, files in os.walk(os.path.abspath(directory)):

    for filename in fnmatch.filter(files, filePattern):

        filepath = os.path.join(path, filename)

        print filepath

        with open(filepath) as f:

            s = f.read()

        for driver in olddrivers:

            # print '-', driver

            s = s.replace(driver, newdriver)

        with open(filepath, "w") as f:

            f.write(s)





